module.exports = {

	timefilter(type, value) {
		if (this.$isNull(value)) return
		var newDate = ""
		if (String(value).indexOf("-") != -1) {
			newDate = new Date(value.replace(/-/g, "/"))
		} else {
			newDate = new Date(Number(value))
		}
		var hours = newDate.getHours().toString()
		var minutes = newDate.getMinutes().toString()
		var seconds = newDate.getSeconds().toString()

		var year = newDate.getFullYear().toString();
		var month = (newDate.getMonth() + 1).toString();
		var day = (newDate.getDate()).toString();
		if (month.length == 1) {
			month = "0" + month;
		}
		if (day.length == 1) {
			day = "0" + day;
		}
		if (hours.length == 1) {
			hours = "0" + hours;
		}
		if (minutes.length == 1) {
			minutes = "0" + minutes;
		}
		if (seconds.length == 1) {
			seconds = "0" + seconds;
		}
		if (type == 'YY-MM-DD HH:MM:SS') {
			return year + '-' + month + '-' + day + ' ' + hours + ':' + minutes + ':' + seconds
		} else if (type == 'HH:MM') {
			return hours + ':' + minutes
		} else if (type == 'HH:MM:SS') {
			return hours + ':' + minutes + ':' + seconds
		} else if (type == 'YY-MM-DD') {
			return year + '-' + month + '-' + day
		} else if (type == 'YY-MM-DD HH:MM') {
			return year + '-' + month + '-' + day + ' ' + hours + ':' + minutes
		} else if (type == 'YY/MM/DD') {
			return year + '/' + month + '/' + day
		} else if (type == '年月日 HH:MM:SS') {
			return year + '年' + month + '月' + day + '日 ' + hours + ':' + minutes + ':' + seconds
		}
		else if (type == '年月日') {
			return year + '年' + month + '月' + day + '日 '
		}

	},
	isNull(param) {
		if (typeof param == "boolean") {
			return false;
		}
		if (param == null || param == undefined || param == '') {
			return true;
		}
		return false;
	},
	formatPhone(e) {
		if (e == '') return
		var tel = e;
		tel = "" + tel;
		var newTel = tel.substr(0, 3) + "****" + tel.substr(7)
		return newTel
	},
	formatName(e) {
		
		if (e == '') return
		if (e != null || e != undefined) {
			var name = e;
			if (name.length > 1) {
				name = "" + name;
				var newName = name.substr(0, 1) + "*" + name.substr(2,name.length-1)
				return newName
			} 
			
			else {
				return name
			}
	
		} else {
			return e
		}
	
	
	
	},

    //判断是否包含不可存储字符
	isEmojiCharacter(substring) {
		if (typeof substring !== 'undefined' && substring !== '' && substring !== null){
		  for (var i = 0; i < substring.length; i++) {
			var hs = substring.charCodeAt(i);
			if (0xd800 <= hs && hs <= 0xdbff) {
			  if (substring.length > 1) {
				var ls = substring.charCodeAt(i + 1);
				var uc = ((hs - 0xd800) * 0x400) + (ls - 0xdc00) + 0x10000;
				if (0x1d000 <= uc && uc <= 0x1f77f) {
				  return true;
				}
			  }
			} else if (substring.length > 1) {
			  var ls = substring.charCodeAt(i + 1);
			  if (ls == 0x20e3) {
				return true;
			  }
			} else {
			  if (0x2100 <= hs && hs <= 0x27ff) {
				return true;
			  } else if (0x2B05 <= hs && hs <= 0x2b07) {
				return true;
			  } else if (0x2934 <= hs && hs <= 0x2935) {
				return true;
			  } else if (0x3297 <= hs && hs <= 0x3299) {
				return true;
			  } else if (hs == 0xa9 || hs == 0xae || hs == 0x303d || hs == 0x3030
				  || hs == 0x2b55 || hs == 0x2b1c || hs == 0x2b1b
				  || hs == 0x2b50) {
				return true;
			  }
			}
		  }
		}else{
		  return false;
		}
	  },

    //比较时间 (endDate是否大于beginDate)
    isBefore(beginValue,endValue) {
        if(this.$isNull(beginValue)) return false;
        if(this.$isNull(endValue)) return false;
        
        let beginDate = ""
        let endDate = ""

        if (String(beginValue).indexOf("-") != -1) {
			beginDate = new Date(beginValue.replace(/-/g, "/"))
		} else {
			beginDate = new Date(beginValue)
		}
        if (String(endValue).indexOf("-") != -1) {
			endDate = new Date(endValue.replace(/-/g, "/"))
		} else {
			endDate = new Date(endValue)
		}

        var begin = beginDate.getTime();
        var end = endDate.getTime();
        if ( end > begin) {
            return true;
        }else{
            return false;
        }
    },

}
